/** Constructs a convex hull via giftwrapping algorithm using a quadtree for searching
*/

public class GiftWrapQT extends GiftWrap{
	QuadTree q;
  public GiftWrapQT(Point3d[] pts) {
    super(pts);
    q = QuadTree.build(pts);
  }
  protected Point3d search(Edge3d e) {
  	Point3d cand1 = q.search(e);
  	Point3d cand2 = super.search(e);
  	if (cand1 != cand2) {
  		System.out.println("bad"+cand1+cand2);
  	}
  	return cand1;
 }
	
}
