package ala2D;
import java.awt.Color;
import java.awt.Graphics;

public class Line implements Paintable{
	Point p1;
	Point p2;
	Color col = Color.RED;
	
	public Line(Point p1, Point p2){
		this.p1 = p1;
		this.p2 = p2;
		
	}
	
	public Line(Point p1, Point p2,Color col){
		this(p1,p2);
		this.col = col;
	}

	public void paintMe(Graphics g) {
		g.setColor(col);
		g.drawLine((int)p1.x,(int)p1.y,(int)p2.x,(int)p2.y);
		
	}
	
	public void setColor(Color col){
		this.col = col;
	}

	public String getKey() {
		return "L(P1("+p1.x+";"+p1.y+"),P2("+p2.x+";"+p2.y+")) Color"+col;
	}


}
